OGRE-Next: Ogre::TexCoordModifierControllerValue Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::TexCoordModifierControllerValue Class Reference
Core » General

Predefined controller value for getting / setting a texture coordinate modifications (scales and translates). More...

`#include <OgrePredefinedControllers.h>`

Inheritance diagram for Ogre::TexCoordModifierControllerValue:
[legend]

## Public Member Functions
| TexCoordModifierControllerValue (TextureUnitState *t, bool translateU=false, bool translateV=false, bool scaleU=false, bool scaleV=false, bool rotate=false)
| Constructor.
Real | getValue () const override
void | setValue (Real value) override
Public Member Functions inherited from Ogre::ControllerValue< Real >
virtual | ~ControllerValue ()

## Detailed Description

Predefined controller value for getting / setting a texture coordinate modifications (scales and translates).

Remarks
  Effects can be applied to the scale or the offset of the u or v coordinates, or both. If separate modifications are required to u and v then 2 instances are required to control both independently, or 4 if you want separate u and v scales as well as separate u and v offsets.

  Because of the nature of this value, it can accept values outside the 0..1 parametric range.

  Starting Ogre-Next 2.1 which no longer supports Fixed Function Pipeline this class is still accessible by low level materials by using `param_named_auto texture_matrix`

However the user-authored shader must be responsible for applying the texture matrix

  HlmsUnlit can generate that automatically and uses a similar class named TextureAnimationControllerValue See TextureAnimationControllerValue. See HlmsUnlitDatablock::setEnableAnimationMatrix & HlmsUnlitDatablock::setAnimationMatrix.

## Constructor & Destructor Documentation

## ◆ TexCoordModifierControllerValue()

Ogre::TexCoordModifierControllerValue::TexCoordModifierControllerValue | ( | TextureUnitState * | t,
|  | bool | translateU = false,
|  | bool | translateV = false,
|  | bool | scaleU = false,
|  | bool | scaleV = false,
|  | bool | rotate = false )

Constructor.

Parameters

  t | TextureUnitState to apply the modification to.
  translateU | If true, the u coordinates will be translated by the modification.
  translateV | If true, the v coordinates will be translated by the modification.
  scaleU | If true, the u coordinates will be scaled by the modification.
  scaleV | If true, the v coordinates will be scaled by the modification.
  rotate | If true, the texture will be rotated by the modification.

## Member Function Documentation

## ◆ getValue()

Real Ogre::TexCoordModifierControllerValue::getValue | ( |  | ) | const
| overridevirtual

Implements Ogre::ControllerValue< Real >.

## ◆ setValue()

void Ogre::TexCoordModifierControllerValue::setValue | ( | Real | value | ) |
| overridevirtual

Implements Ogre::ControllerValue< Real >.

The documentation for this class was generated from the following file:

- OgrePredefinedControllers.h